<html>
<head>
    <title> [@ui.header pageKey='UFT' object='${resultsSummary.buildKey}' title=true /]</title>
    <meta name="tab" content="UFT"/>

        ${webResourceManager.requireResource("com.mdb.plugins.ufttaskforbamboo:ufttask-resources")}
   <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>

 </head>
<body>
<script src="${req.contextPath}/download/resources/com.mdb.plugins.ufttaskforbamboo:ufttask-resources/d3_v2.js"></script>
<table class="aui" >
    <thead>
        <tr>
            <td width="50%">
                <div id="piechart" style="width: 400px; height: 400px;"></div>

            </td>
            <td  width="50%">
             ${resultsSummary.getCustomBuildData().get("TEST_JIRA_REPORT")}

            </td>

        </tr>
    </thead>
</table>
 ${resultsSummary.getCustomBuildData().get("UFT_HTML_REPORT")}

<script type="text/javascript">

    (function(){


        function loadScript(url, callback)
        {
            // adding the script tag to the head as suggested before
            var head = document.getElementsByTagName('head')[0];
            var script = document.createElement('script');
            script.type = 'text/javascript';
            script.src = url;

            // then bind the event to the callback function
            // there are several events for cross browser compatibility
            script.onreadystatechange = callback;
            script.onload = callback;

            // fire the loading
            head.appendChild(script);
        }


        loadScript("https://www.gstatic.com/charts/loader.js", drawVisualizationss);

        var buildKey = "${buildKey}";
        var buildNumber = "${buildNumber}";

        function drawVisualizationss(){
            google.charts.load('current', {'packages':['corechart']});
            google.charts.setOnLoadCallback(loadchart);
        }

        function loadchart(){
            d3.json("${baseUrl}/build/result/getUFTDataJson.action?buildKey="+buildKey+"&buildNumber="+buildNumber, drawInitial);
        }

        function drawInitial(data){

                //Get stats for test statuses
                var passed = data.successfulTestCaseCount;
                var failed = data.failedTestCaseCount;
                var skipped = data.skippedTestCaseCount;


                //set up data for charting
                var data1 = google.visualization.arrayToDataTable([
                         ['Status', 'Total'],
                         ['passed',     passed],
                         ['failed',      failed],
                         ['skipped',  skipped]

                       ]);

                //Set title and properties
                var options = {
                          title: 'UFT Tests Status',
                            colors:['#109618','#dc3912','#ff9900']
                        };

                //Draw chart
                var chart = new google.visualization.PieChart(document.getElementById('piechart'));
                chart.draw(data1, options);

        }


        function redraw(data){

            var passed = data.successfulTestCaseCount;
            var failed = data.failedTestCaseCount;
            var skipped = data.skippedTestCaseCount;

            //set up data for charting
            var data1 = google.visualization.arrayToDataTable([
                ['Status','Total'],
                ['passed', passed],
                ['failed', failed],
                ['skipped',skipped]
            ]);

            var options = {
              title: 'UFT Tests Status',
                colors:['#109618','#dc3912','#ff9900']
            };

            //Set title and properties
            var chart = new google.visualization.PieChart(document.getElementById('piechart'));
            chart.draw(data1, options);

            //reload chart
            google.charts.load('current', {'packages':['corechart']});
            google.charts.setOnLoadCallback(drawVisualizationss);

        }


           setInterval(function() {  d3.json("${baseUrl}/build/result/getUFTDataJson.action?buildKey="+buildKey+"&buildNumber="+buildNumber, redraw);}, 3000)    ;
  })();




</script>


</body>