
[@ww.checkbox  label="Run UFT Script / Framework" name="runuftscript"  toggle='true'/]

[@ui.bambooSection dependsOn='runuftscript' showOn='true']

    [@ww.textfield labelKey="ufttask.testpath" name="testpath" required='true'/]
    [@ww.checkbox  label="Test script path is absoulte. I am not fetching scripts from source code repository" name="nosourcerepo"  toggle='true'/]

    [@ww.checkbox  label="Make UFT visible during execution" name="qtpvisiblewhilerun"  toggle='true'/]
    [@ww.checkbox  label="Close UFT after execution" name="qtpcloseafterrun"  toggle='true'/]


[/@ui.bambooSection]

    [@ww.checkbox  label="Generate UFT results in specified folder. By default Agents working directory will be used" name="qtprunfoldersettings"  toggle='true'/]
    [@ui.bambooSection dependsOn='qtprunfoldersettings' showOn='true']
      [@ww.textfield labelKey="ufttask.qtprunfolder" name="qtprunfolder" required='true'/]
    [/@ui.bambooSection]

All UFT reports generated will be parsed and test results will be created in Bamboo. Select correct version of UFT.
[@ww.select  labelKey="ufttask.uftresultoptions" toggle="true" value="selectedAction"  listKey="title" listValue="id" name="actions" list="actionList" required='false'   onchange='javascript: updaterunhost(this.value)'  /]

[@ww.textfield hidden = true  labelKey="ufttask.uftresultversion" name="uftresultversion" id="uftresultversion" required='true'  readonly='true'/]
[@ww.checkbox  label="Fail build if no tests found" name="failbuildifnotestsfound"  toggle='true'/]
[@ww.checkbox  label="Ignore outdated result files" name="ignoreoutdatedfiles"  toggle='true'/]


[@ww.checkbox  label="JIRA Settings" name="jirasettings"  toggle='true'/]
[@ui.bambooSection dependsOn='jirasettings' showOn='true']

     [@ui.bambooSection dependsOn='jirasettings' showOn='true']

       [@ww.textfield labelKey="ufttask.jirahost" name="jirahost" required='true'/]
       [@ww.textfield labelKey="ufttask.jirausername" name="jirausername" required='true'/]
       [@ww.password  labelKey="ufttask.jirapassword" name="jirapassword" required='true'/]

     [/@ui.bambooSection]

     [@ww.checkbox  label="Create Bug in JIRA for failed UFT tests" name="createjirabugfailed"  toggle='true'/]

     [@ui.bambooSection dependsOn='createjirabugfailed' showOn='true']

         [@ww.textfield labelKey="ufttask.jiraproject" name="jiraproject" required='false'/]
         [@ww.textfield labelKey="ufttask.jiraassignto" name="jiraassignto" required='true'/]
        [@ww.textfield labelKey="ufttask.jirabugtype" name="jirabugtype" required='true'/]
     [/@ui.bambooSection]

     [@ww.checkbox  label="Add comment in JIRA issue about UFT test status" name="addruncommenttojira"  toggle='true'/]

     [@ui.bambooSection dependsOn='addruncommenttojira' showOn='true']

         [@ww.textfield labelKey="ufttask.jiracommentvisibility" name="jiracommentvisibility" required='true'/]

     [/@ui.bambooSection]

     [@ww.checkbox  labelKey="ufttask.addlink" name="addbuildtestlinktojira"  toggle='true'/]


    [@ww.checkbox  labelKey="ufttask.adddurationtojira" name="adddurationtojira"  toggle='true'/]
    [@ui.bambooSection dependsOn='adddurationtojira' showOn='true']

        [@ww.textfield labelKey="ufttask.jiracustomfield" name="jiracustomfield" required='true'/]

    [/@ui.bambooSection]



    [@ww.checkbox  labelKey="ufttask.addlabeltojiraissue" name="addlabeltojiraissue"  toggle='true'/]
    [@ui.bambooSection dependsOn='addlabeltojiraissue' showOn='true']

        [@ww.textfield labelKey="ufttask.jiralabelprefix" name="jiralabelprefix" required='true'/]

    [/@ui.bambooSection]

[/@ui.bambooSection]


[@ww.checkbox  label="Fail build if any test is failed" name="failbuildiftestsfailed"  toggle='true'/]


<script>

    function updaterunhost(serverId) {
        var configDiv = document.getElementById('uftresultversion');
        configDiv.value = serverId;
    }

     //Select saved option
     var configDiv = document.getElementById('uftresultversion');
     var urlSelect = document.getElementsByName('actions')[0];
            var urlOptions = urlSelect.options;
            for (var i = 0; i < urlOptions.length; i++) {
                var option = urlOptions[i];
                if (option.value == '' + configDiv.value) {
                    urlSelect.selectedIndex = i;

                    break;
                }
     }

</script>